> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mindset.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a file by UID



## OpenAPI

````yaml /deploy/api/openapi.json get /api/v1/appuid/{appUid}/contexts/{contextUid}/files/uid/{uid}
openapi: 3.0.1
info:
  title: Mindset API Gateway
  version: 1.2.0
servers:
  - url: https://a.api.mindset.ai
  - url: https://b.api.mindset.ai
  - url: https://c.api.mindset.ai
  - url: https://d.api.mindset.ai
security: []
tags:
  - name: Agent Configuration
  - name: Agent Sessions
  - name: AppStatus
  - name: Context Files
  - name: Contexts
  - name: DynamicComponents
  - name: Labels
  - name: SDK Users
  - name: Threads
  - name: Webhooks
  - name: Agent Management (deprecated)
paths:
  /api/v1/appuid/{appUid}/contexts/{contextUid}/files/uid/{uid}:
    get:
      tags:
        - Context Files
      summary: Retrieve a file by UID
      operationId: getContextFilesByUid
      parameters:
        - name: appUid
          in: path
          description: Your application's uid
          required: true
          schema:
            minLength: 1
            type: string
        - name: contextUid
          in: path
          description: Your context's uid
          required: true
          schema:
            minLength: 1
            type: string
        - name: uid
          in: path
          description: Unique ID of the file
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful retrieval
          content:
            application/json:
              schema:
                type: object
                properties:
                  uid:
                    type: string
                    description: Unique identifier
                  externalId:
                    type: string
                    description: Optional External ID of the file
                  createdAt:
                    type: string
                    description: Creation timestamp (ISO 8601)
                    format: date-time
                  name:
                    type: string
                    description: Name to display to the end user
                  status:
                    type: string
                    description: Status of the resource
                  statusMessage:
                    type: string
                    description: Human-readable status message (e.g., 'AI at work...')
                  runId:
                    type: string
                    description: Run identifier (if specified on ingestion)
                  mimeType:
                    type: string
                    description: MIME type of the file
                  autoPublish:
                    type: boolean
                    description: >-
                      Whether this file will be automatically made available
                      after successful ingestion
                  hideContentSegments:
                    type: boolean
                    description: >-
                      Flag to hide file segments in agent responses. Does not
                      hide the knowledge from the agent
                  labels:
                    maxItems: 10
                    type: array
                    description: Array of label UIDs to associate wth the file
                    items:
                      type: string
                  contentHash:
                    type: string
                    description: >-
                      Externally provided content hash string to enable
                      decisions on when to replace the file
                  knownAs:
                    type: string
                    description: >-
                      How the agent can refer to this item. Eg webinar,
                      presentation, paper, specification etc
                  externalUrl:
                    type: string
                    description: >-
                      External URL to launch when aa user wishes to view this
                      file
                    format: uri
                  viewOriginalSource:
                    type: boolean
                    description: >-
                      Flag to view using the provided externalUrl. Otherwise
                      inbuilt player will be used
                  thumbnailUpdatedByAdmin:
                    type: boolean
                    description: >-
                      If a thumbnail has been changed by an admin this boolean
                      will allow automated updates to skip replacing the
                      thumbnail
        '404':
          description: File not found, or Context does not exist
          content: {}
      security:
        - APIKeyHeader: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      name: x-api-key
      in: header

````